<?php
class CyrSlugsData {
    const CYRILLIC = array(
        'А', 'а',
        'Ӑ', 'ӑ',
        'Ӓ', 'ӓ',
        'Ә', 'ә',
        'Ӛ', 'ӛ',
        'Ӕ', 'ӕ',
        'Б', 'б',
        'В', 'в',
        'Г', 'г',
        'Ґ', 'ґ',
        'Ѓ', 'ѓ',
        'Ғ', 'ғ',
        'Ӷ', 'ӷ',
        'Ҕ', 'ҕ',
        'Д', 'д',
        'Ђ', 'ђ',
        'Е', 'е',
        'Ѐ', 'ѐ',
        'Ё', 'ё',
        'Ӗ', 'ӗ',
        'Ҽ', 'ҽ',
        'Ҿ', 'ҿ',
        'Є', 'є',
        'Ж', 'ж',
        'Ӂ', 'ӂ',
        'Җ', 'җ',
        'Ӝ', 'ӝ',
        'З', 'з',
        'Ҙ', 'ҙ',
        'Ӟ', 'ӟ',
        'Ӡ', 'ӡ',
        'Ѕ', 'ѕ',
        'И', 'и',
        'Ѝ', 'ѝ',
        'Ӥ', 'ӥ',
        'Ӣ', 'ӣ',
        'І', 'і',
        'Ї', 'ї',
        'Ӏ', 'ӏ',
        'Й', 'й',
        'Ҋ', 'ҋ',
        'Ј', 'ј',
        'К', 'к',
        'Қ', 'қ',
        'Ҟ', 'ҟ',
        'Ҡ', 'ҡ',
        'Ӄ', 'ӄ',
        'Л', 'л',
        'Ӆ', 'ӆ',
        'Љ', 'љ',
        'М', 'м',
        'Ӎ', 'ӎ',
        'Н', 'н',
        'Ӊ', 'ӊ',
        'Ң', 'ң',
        'Ӈ', 'ӈ',
        'Ҥ', 'ҥ',
        'Њ', 'њ',
        'О', 'о',
        'Ӧ', 'ӧ',
        'Ө', 'ө',
        'Ӫ', 'ӫ',
        'Ҩ', 'ҩ',
        'П', 'п',
        'Ҧ', 'ҧ',
        'Р', 'р',
        'Ҏ', 'ҏ',
        'С', 'с',
        'Ҫ', 'ҫ',
        'Т', 'т',
        'Ҭ', 'ҭ',
        'Ћ', 'ћ',
        'Ќ', 'ќ',
        'У', 'у',
        'Ў', 'ў',
        'Ӳ', 'ӳ',
        'Ӱ', 'ӱ',
        'Ӯ', 'ӯ',
        'Ү', 'ү',
        'Ұ', 'ұ',
        'Ф', 'ф',
        'Х', 'х',
        'Ҳ', 'ҳ',
        'Һ', 'һ',
        'Ц', 'ц',
        'Ҵ', 'ҵ',
        'Ч', 'ч',
        'Ӵ', 'ӵ',
        'Ҷ', 'ҷ',
        'Ӌ', 'ӌ',
        'Ҹ', 'ҹ',
        'Џ', 'џ',
        'Ш', 'ш',
        'Щ', 'щ',
        'Ъ', 'ъ',
        'Ы', 'ы',
        'Ӹ', 'ӹ',
        'Ь', 'ь',
        'Ҍ', 'ҍ',
        'Э', 'э',
        'Ӭ', 'ӭ',
        'Ю', 'ю',
        'Я', 'я'
    );

    const LATIN = array(
        'BE' => array(
            'A', 'a',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            'B', 'b',
            'V', 'v',
            'H', 'h',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            'D', 'd',
            '', '',
            'JE', 'je',
            '', '',
            'JO', 'jo',
            '', '',
            '', '',
            '', '',
            '', '',
            'Z', 'z',
            '', '',
            '', '',
            '', '',
            'Z', 'z',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            'I', 'i',
            '', '',
            'I', 'i',
            'J', 'j',
            '', '',
            '', '',
            'K', 'k',
            '', '',
            '', '',
            '', '',
            '', '',
            'L', 'l',
            '', '',
            '', '',
            'M', 'm',
            '', '',
            'N', 'n',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            'O', 'o',
            '', '',
            '', '',
            '', '',
            '', '',
            'P', 'p',
            '', '',
            'R', 'r',
            '', '',
            'S', 's',
            '', '',
            'T', 't',
            '', '',
            '', '',
            '', '',
            'U', 'u',
            'U', '',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            'F', 'f',
            'CH', 'ch',
            '', '',
            '', '',
            'C', 'c',
            '', '',
            'C', 'c',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            'S', 's',
            '', '',
            '', '',
            'Y', 'y',
            '', '',
            '', '',
            '', '',
            'E', 'e',
            '', '',
            'JU', 'ju',
            'JA', 'ja'
        ),
        'BS' => array(
            'A', 'a',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            'B', 'b',
            'V', 'v',
            'G', 'g',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            'D', 'd',
            'D', 'd',
            'E', 'e',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            'Z', 'z',
            '', '',
            '', '',
            '', '',
            'Z', 'z',
            '', '',
            '', '',
            '', '',
            '', '',
            'I', 'i',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            'J', 'j',
            'K', 'k',
            '', '',
            '', '',
            '', '',
            '', '',
            'L', 'l',
            '', '',
            'LJ', 'lj',
            'M', 'm',
            '', '',
            'N', 'n',
            '', '',
            '', '',
            '', '',
            '', '',
            'NJ', 'nj',
            'O', 'o',
            '', '',
            '', '',
            '', '',
            '', '',
            'P', 'p',
            '', '',
            'R', 'r',
            '', '',
            'S', 's',
            '', '',
            'T', 't',
            '', '',
            'C', 'c',
            '', '',
            'U', 'u',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            'F', 'f',
            'H', 'h',
            '', '',
            '', '',
            'C', 'c',
            '', '',
            'C', 'c',
            '', '',
            '', '',
            '', '',
            '', '',
            'DZ', 'dz',
            'S', 's',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            '', ''
        ),
        'BG' => array(
            'A', 'a',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            'B', 'b',
            'V', 'v',
            'G', 'g',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            'D', 'd',
            '', '',
            'E', 'e',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            'ZH', 'zh',
            '', '',
            '', '',
            '', '',
            'Z', 'z',
            '', '',
            '', '',
            '', '',
            '', '',
            'I', 'i',
            'I', 'i',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            'Y', 'y',
            '', '',
            '', '',
            'K', 'k',
            '', '',
            '', '',
            '', '',
            '', '',
            'L', 'l',
            '', '',
            '', '',
            'M', 'm',
            '', '',
            'N', 'n',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            'O', 'o',
            '', '',
            '', '',
            '', '',
            '', '',
            'P', 'p',
            '', '',
            'R', 'r',
            '', '',
            'S', 's',
            '', '',
            'T', 't',
            '', '',
            '', '',
            '', '',
            'U', 'u',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            'F', 'f',
            'H', 'h',
            '', '',
            '', '',
            'TS', 'ts',
            '', '',
            'CH', 'ch',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            'SH', 'sh',
            'SHT', 'sht',
            'A', 'a',
            '', '',
            '', '',
            'Y', 'y',
            '', '',
            '', '',
            '', '',
            'YU', 'yu',
            'YA', 'ya'
        ),
        'KK' => array(
            'A', 'a',
            '', '',
            '', '',
            'A', 'a',
            '', '',
            '', '',
            'B', 'b',
            'V', 'v',
            'G', 'g',
            '', '',
            '', '',
            'GH', 'gh',
            '', '',
            '', '',
            'D', 'd',
            '', '',
            'E', 'e',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            'ZH', 'zh',
            '', '',
            '', '',
            '', '',
            'Z', 'z',
            '', '',
            '', '',
            '', '',
            '', '',
            'I', 'i',
            '', '',
            '', '',
            '', '',
            'I', 'i',
            '', '',
            '', '',
            'Y', 'y',
            '', '',
            '', '',
            'K', 'k',
            'Q', 'q',
            '', '',
            '', '',
            '', '',
            'L', 'l',
            '', '',
            '', '',
            'M', 'm',
            '', '',
            'N', 'n',
            '', '',
            'NG', 'ng',
            '', '',
            '', '',
            '', '',
            'O', 'o',
            '', '',
            'O', 'o',
            '', '',
            '', '',
            'P', 'p',
            '', '',
            'R', 'r',
            '', '',
            'S', 's',
            '', '',
            'T', 't',
            '', '',
            '', '',
            '', '',
            'U', 'u',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            'F', 'f',
            'KH', 'kh',
            '', '',
            'H', 'h',
            'TS', 'ts',
            '', '',
            'CH', 'ch',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            'SH', 'sh',
            'SHCH', 'shch',
            '', '',
            'Y', 'y',
            '', '',
            '', '',
            '', '',
            'E', 'e',
            '', '',
            'YU', 'yu',
            'YA', 'ya'
        ),
        'KY' => array(
            'A', 'a',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            'B', 'b',
            'V', 'v',
            'G', 'g',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            'D', 'd',
            '', '',
            'E', 'e',
            '', '',
            'YO', 'yo',
            '', '',
            '', '',
            '', '',
            '', '',
            'J', 'j',
            '', '',
            '', '',
            '', '',
            'Z', 'z',
            '', '',
            '', '',
            '', '',
            '', '',
            'I', 'i',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            'Y', 'y',
            '', '',
            '', '',
            'K', 'k',
            '', '',
            '', '',
            '', '',
            '', '',
            'L', 'l',
            '', '',
            '', '',
            'M', 'm',
            '', '',
            'N', 'n',
            '', '',
            'N', 'n',
            '', '',
            '', '',
            '', '',
            'O', 'o',
            '', '',
            'O', 'o',
            '', '',
            '', '',
            'P', 'p',
            '', '',
            'R', 'r',
            '', '',
            'S', 's',
            '', '',
            'T', 't',
            '', '',
            '', '',
            '', '',
            'U', 'u',
            '', '',
            '', '',
            '', '',
            '', '',
            'U', 'u',
            '', '',
            '', '',
            'X', 'x',
            '', '',
            '', '',
            'C', 'c',
            '', '',
            'C', 'c',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            'S', 's',
            'SS', 'ss',
            '', '',
            'I', 'I',
            '', '',
            '', '',
            '', '',
            'E', 'E',
            '', '',
            'YU', 'yu',
            'YA', 'ya'
        ),
        'MK' => array(
            'A', 'a',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            'B', 'b',
            'V', 'v',
            'G', 'g',
            '', '',
            'GJ', 'gj',
            '', '',
            '', '',
            '', '',
            'D', 'd',
            '', '',
            'E', 'e',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            'ZH', 'zh',
            '', '',
            '', '',
            '', '',
            'Z', 'z',
            '', '',
            '', '',
            '', '',
            'DZ', 'dz',
            'I', 'i',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            'J', 'j',
            'K', 'k',
            '', '',
            '', '',
            '', '',
            '', '',
            'L', 'l',
            '', '',
            'LJ', 'lj',
            'M', 'm',
            '', '',
            'N', 'n',
            '', '',
            '', '',
            '', '',
            '', '',
            'NJ', 'nj',
            'O', 'o',
            '', '',
            '', '',
            '', '',
            '', '',
            'P', 'p',
            '', '',
            'R', 'r',
            '', '',
            'S', 's',
            '', '',
            'T', 't',
            '', '',
            '', '',
            'KJ', 'kj',
            'U', 'u',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            'F', 'f',
            'H', 'h',
            '', '',
            '', '',
            'C', 'c',
            '', '',
            'CH', 'ch',
            '', '',
            '', '',
            '', '',
            '', '',
            'DJ', 'dj',
            'SH', 'sh',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            '', ''
        ),
        'MN' => array(
            'A', 'a',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            'B', 'b',
            'V', 'v',
            'G', 'g',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            'D', 'd',
            '', '',
            'YE', 'ye',
            '', '',
            'YO', 'yo',
            '', '',
            '', '',
            '', '',
            '', '',
            'J', 'j',
            '', '',
            '', '',
            '', '',
            'Z', 'z',
            '', '',
            '', '',
            '', '',
            '', '',
            'I', 'i',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            'I', 'i',
            '', '',
            '', '',
            'K', 'k',
            '', '',
            '', '',
            '', '',
            '', '',
            'L', 'l',
            '', '',
            '', 'љ',
            'M', 'm',
            '', '',
            'N', 'n',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            'O', 'о',
            '', '',
            '', '',
            '', '',
            '', '',
            'P', 'p',
            '', '',
            'R', 'r',
            '', '',
            'S', 's',
            '', '',
            'T', 't',
            '', '',
            '', '',
            '', '',
            'U', 'u',
            '', '',
            '', '',
            '', '',
            '', '',
            'U', 'u',
            '', '',
            'F', 'f',
            'KH', 'kh',
            '', '',
            '', '',
            'TS', 'ts',
            '', '',
            'CH', 'ch',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            'SH', 'sh',
            'SH', 'sh',
            'I', 'i',
            'Y', 'y',
            '', '',
            '', '',
            '', '',
            'E', 'e',
            '', '',
            'YU', 'yu',
            'YA', 'ya'
        ),
        'RU' => array(
            'A', 'a',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            'B', 'b',
            'V', 'v',
            'G', 'g',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            'D', 'd',
            '', '',
            'E', 'e',
            '', '',
            'E', 'e',
            '', '',
            '', '',
            '', '',
            '', '',
            'ZH', 'zh',
            '', '',
            '', '',
            '', '',
            'Z', 'z',
            '', '',
            '', '',
            '', '',
            '', '',
            'I', 'i',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            'I', 'i',
            '', '',
            '', '',
            'K', 'k',
            '', '',
            '', '',
            '', '',
            '', '',
            'L', 'l',
            '', '',
            '', '',
            'M', 'm',
            '', '',
            'N', 'n',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            'O', 'o',
            '', '',
            '', '',
            '', '',
            '', '',
            'P', 'p',
            '', '',
            'R', 'r',
            '', '',
            'S', 's',
            '', '',
            'T', 't',
            '', '',
            '', '',
            '', '',
            'U', 'u',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            'F', 'f',
            'KH', 'kh',
            '', '',
            '', '',
            'TS', 'ts',
            '', '',
            'CH', 'ch',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            'SH', 'sh',
            'SHCH', 'shch',
            'IE', 'ie',
            'Y', 'y',
            '', '',
            '', '',
            '', '',
            'E', 'e',
            '', '',
            'IU', 'iu',
            'IA', 'ia'
        ),
        'TG' => array(
            'A', 'a',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            'B', 'b',
            'V', 'v',
            'G', 'g',
            '', '',
            '', '',
            'GH', 'gh',
            '', '',
            '', '',
            'D', 'd',
            '', '',
            'E', 'e',
            '', '',
            'YO', 'yo',
            '', '',
            '', '',
            '', '',
            '', '',
            'ZH', 'zh',
            '', '',
            '', '',
            '', '',
            'Z', 'z',
            '', '',
            '', '',
            '', '',
            '', '',
            'I', 'i',
            '', '',
            '', '',
            'I', 'i',
            '', '',
            '', '',
            '', '',
            'Y', 'y',
            '', '',
            '', '',
            'K', 'k',
            'Q', 'q',
            '', '',
            '', '',
            '', '',
            'L', 'l',
            '', '',
            '', '',
            'M', 'm',
            '', '',
            'N', 'n',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            'O', 'o',
            '', '',
            '', '',
            '', '',
            '', '',
            'P', 'p',
            '', '',
            'R', 'r',
            '', '',
            'S', 's',
            '', '',
            'T', 't',
            '', '',
            '', '',
            '', 'ќ',
            'U', 'u',
            '', 'ў',
            '', '',
            '', '',
            'U', 'u',
            '', '',
            '', '',
            'F', 'f',
            'KH', 'kh',
            'H', 'h',
            '', '',
            '', '',
            '', '',
            'CH', '',
            '', '',
            'J', '',
            '', '',
            '', '',
            '', '',
            'SH', 'sh',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            'E', 'e',
            '', '',
            'YU', 'yu',
            'YA', 'ya'
        ),
        'UK' => array(
            'A', 'a',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            'B', 'b',
            'V', 'v',
            'H', 'h',
            'G', 'g',
            '', '',
            '', '',
            '', '',
            '', '',
            'D', 'd',
            '', '',
            'E', 'e',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            'IE', 'ie',
            'ZH', 'zh',
            '', '',
            '', '',
            '', '',
            'Z', 'z',
            '', '',
            '', '',
            '', '',
            '', '',
            'Y', 'y',
            '', '',
            '', '',
            '', '',
            'I', 'i',
            'I', 'i',
            'I', 'i',
            'I', 'i',
            '', '',
            '', '',
            'K', 'k',
            '', '',
            '', '',
            '', '',
            '', '',
            'L', 'l',
            '', '',
            '', '',
            'M', 'm',
            '', '',
            'N', 'n',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            'O', 'o',
            '', '',
            '', '',
            '', '',
            '', '',
            'P', 'p',
            '', '',
            'R', 'r',
            '', '',
            'S', 's',
            '', '',
            'T', 't',
            '', '',
            '', '',
            '', '',
            'U', 'u',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            'F', 'f',
            'KH', 'kh',
            '', '',
            '', '',
            'TS', 'ts',
            '', '',
            'CH', 'ch',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            'SH', 'sh',
            'SHCH', 'shch',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            '', '',
            'YU', 'yu',
            'YA', 'ya'
        )
    );
}
